"use strict";
var os_1 = require("os");
var path_1 = require("path");
var _1 = require("../../");
var createCommit_1 = require("./createCommit");
var questions_1 = require("./questions");
exports.plugin = _1.command(_1.alias('commit'), _1.description('Powerful git commit messages'));
_1.withCallback(exports.plugin, function (_a, io) {
    var config = _a.config, directory = _a.directory;
    var packageNames = config.packages.map(toPkgName);
    questions_1.askQuestions(packageNames)
        .then(function (answers) { return createCommit_1.createCommit(answers, io, directory); })
        .catch(function (err) {
        io.stderr.write(err + os_1.EOL);
    });
});
function toPkgName(path) {
    return require(path_1.join(path, 'package.json')).name;
}
//# sourceMappingURL=commit.js.map